<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require("../../MandaCorreos/FuncionSendMail.php");
$ParaEmail=$_REQUEST['correo'];
$ParaNombre="";
$BodyHTMLFileMessage="";
$SubjectMessage="";
if(file_exists("../../config.ini")){
		$vlineas = file("../../config.ini");
		foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,21) == "CUERPO_ENVIA_XML_PDF="){
				$body=trim(str_replace("CUERPO_ENVIA_XML_PDF=","",$sLinea));
				$BodyHTMLFileMessage=file_get_contents($body);
			}else if(substr($sLinea,0,21) == "ASUNTO_ENVIA_XML_PDF="){
				$SubjectMessage=trim(str_replace("ASUNTO_ENVIA_XML_PDF=","",$sLinea));
			}
		}
		
}

if(trim($BodyHTMLFileMessage) == ""){
	$BodyHTMLFileMessage = "Éste correo fue enviado automáticamente desde el Portal de Clientes, favor de no responder a éste mensaje.<br/> 
	Adjunto encontrará el XML y PDF de su documento.";
}

if(trim($SubjectMessage) == ""){
	$SubjectMessage = "Correo enviado desde el Portal de Clientes";
}

$AdjuntoA=$_POST['xml'];
$AdjuntoB=$_POST['pdf'];
$AdjuntoC="";
if(SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC)){
	?>
	<script>$j_6.messager.alert("Mensaje","Correo enviado correctamente","info");$j_6("#closeModal").click();</script>
	<?
	}else{
	?>
	<script>$j_6.messager.alert("Error","Ocurrio un error al enviar el correo.<br/>Intentelo de nuevo.","error");$j_6("#loading").hide();</script>
	<?
	}
?>